Bug 815524 - Python binding is not part of the libdnet package
Python binding is not part of the libdnet package
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libdnet (Show other bugs)
17
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Oliver Falk
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-23 14:55 EDT by Michal Ambroz
Modified: 2013-08-01 13:54 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 13:54:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Ambroz 2012-04-23 14:55:09 EDT
Description of problem:
Hello, 
the libdnet package contains python binding for the library, but this binding is not packaged in Fedora. Please could you consider creating subpackage with this python binding?


Version-Release number of selected component (if applicable):
libdnet-1.12-8.fc17.x86_64

How reproducible:
100%

Steps to Reproduce:
1. install libdnet* packages
2. run python
3. import dnet
  
Actual results:
dnet python binding is missing

Expected results:
dnet python binding should be available

Additional info:
tar xzvf libnet-1.12.tgz
cd python
python setup.py
Comment 1 emoziko 2012-12-30 14:36:15 EST
+1

Yes please someone.
Comment 2 Oliver Falk 2012-12-30 15:49:18 EST
I propose the following:
http://pkgs.fedoraproject.org/cgit/libdnet.git/commit/?id=46d9d08e28f7945f14caefdd38f94acbb3892d06

Scratch build currently running here:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4827187

Let me know what you think. Maybe some python guru can look at my packaging style...
Comment 3 Fedora End Of Life 2013-07-04 02:22:43 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2013-08-01 13:54:38 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.